### Method

# Gtk TextBufferget_selection_bounds

#### Declaration [src]

    gboolean
    gtk_text_buffer_get_selection_bounds (
      GtkTextBuffer* buffer,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description [src]

Returns `TRUE` if some text is selected; places the bounds of the selection in `start` and `end`.

If the selection has length 0, then `start` and `end` are filled in with the same value. `start` and `end` will be in ascending order. If `start` and `end` are `NULL`, then they are not filled in, but the return value still indicates whether text is selected.

#### Parameters

`start`

  Type: `GtkTextIter`

  Iterator to initialize with selection start.

  The argument will be set by the function.
  The data is owned by the instance.

`end`

  Type: `GtkTextIter`

  Iterator to initialize with selection end.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

Whether the selection has nonzero length.